Archives quotidiennes :

Compiler php 4.4.9 avec GD

Certains ont peut-être encore besoin d’avoir un php 4.4 pour un site internet…
C’est mon cas et avec les dernières versions de librairie GD vous aurez l’erreur suivante :
undefined reference to `png_check_sig’

Pour passer ce problème il faut modifier le fichier : ext/gd/libgd/gd_png.c
Rechercher : if (!png_check_sig (sig, 8)) { /* bad signature */
Et remplacer par : if (png_sig_cmp (sig, 0, 8)) { /* bad signature */
Recompiler et déguster votre nouveau php 4.4.